%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-jade
Version:    1.11.0
Release:    4%{?dist}
Summary:    Jade template engine for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/visionmedia/jade
Source0:    http://registry.npmjs.org/jade/-/jade-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated using Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source2:    examples-%{version}.tar.bz2
Source10:   dl-tests.sh

# One of the tests passes with transformers@2.1.0 but is failing with
# transformers@3.0.0.
# https://github.com/visionmedia/jade/issues/1444
Patch0:     %{name}-1.2.0-Fix-test-import-path.patch

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  coffee-script
BuildRequires:  npm(character-parser)
BuildRequires:  npm(constantinople)
BuildRequires:  npm(less)
# The tests require a markdown library, so it could be any one of
# npm(discount), npm(marked) or npm(markdown).
BuildRequires:  npm(markdown)
BuildRequires:  npm(mocha)
BuildRequires:  npm(monocle)
BuildRequires:  npm(should)
BuildRequires:  npm(stylus)
BuildRequires:  npm(transformers)
BuildRequires:  npm(with)
BuildRequires:  npm(jstransformer)
BuildRequires:  npm(clean-css)
BuildRequires:  npm(void-elements)
BuildRequires:  uglify-js
%endif

%description
Jade is a high performance template engine heavily influenced by Haml and
implemented with JavaScript for Node.js.


%prep
%setup -q -n package
%setup -T -D -a 1 -q -n package
%setup -T -D -a 2 -q -n package
%patch0 -p1

%nodejs_fixdep character-parser
%nodejs_fixdep commander
%nodejs_fixdep constantinople
%nodejs_fixdep jstransformer
%nodejs_fixdep mkdirp
%nodejs_fixdep monocle
%nodejs_fixdep transformers
%nodejs_fixdep with


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/jade
cp -pr package.json *.js lib/ examples/ \
    %{buildroot}%{nodejs_sitelib}/jade
mkdir -p %{buildroot}%{nodejs_sitelib}/jade/bin
install -p -D -m0755 bin/jade.js %{buildroot}%{nodejs_sitelib}/jade/bin/jade.js

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/jade/bin/jade.js \
    %{buildroot}%{_bindir}/jade-nodejs

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/jade
%{_bindir}/jade-nodejs


%changelog
* Wed Oct 28 2015 Jared Smith <jsmith@fedoraproject.org> - 1.11.0-4
- Re-enable tests

* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 1.11.0-3
- Update to upstream 1.11.0 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 20 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.1-1
- update to upstream release 1.3.1

* Tue Apr 01 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.0-3
- include _bindir/jade-nodejs

* Sat Mar 15 2014 <jamielinux@fedoraproject.org> - 1.3.0-2
- temporarily disable tests due to circular dependency

* Mon Mar 03 2014 <jamielinux@fedoraproject.org> - 1.3.0-1
- update to upstream release 1.3.0

* Sun Mar 02 2014 <jamielinux@fedoraproject.org> - 1.2.0-1
- update to upstream release 1.2.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 15 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.28.2-1
- update to upstream release 0.28.2

* Sun Feb 24 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.28.1-2
- remove /usr/bin/jade symlink

* Thu Feb 14 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.28.1-1
- initial package
